

{% if not session %}
<h3>Sorry, no active sessions were found.</h3>
{% else %}
<center>
    <div>Session is active from {{ session.sessionStartTime | date:'D, d M Y, H:i:s e'}} until <b>{{ session.sessionEndTime | date:'D, d M Y, H:i:s e'}}</b></div>
    <div>Delivery is valid from {{ session.deliveryStartTime | date:'D, d M Y, H:i:s e'}} until {{ session.deliveryEndTime | date:'D, d M Y, H:i:s e'}}.</div>
</center>

<div id="toolbar_{{session.sessionStatusid.status}}_{{session.id}}" class="btn-group"> <button id="newbtn{{session.id}}" type="button" class="btn btn-default" data-target="#addAction" data-toggle="modal"> <i class="glyphicon glyphicon-plus"></i> </button> <button id="slctbtn_{{session.id}}" type="button" class="btn btn-default" disabled> <i class="glyphicon glyphicon-ok"></i> </button></div>
<table
    id="data_table_session_{{session.id}}"
    data-toolbar="#toolbar_{{session.sessionStatusid.status}}_{{session.id}}"
    data-toggle="table"
    class="table"
    data-side-pagination="client"
    data-pagination="true"
    data-search="true"
    data-id-field="id"
    data-page-list="[10, 25, 50, 100, ALL]"
    data-sort-name="active"
    data-sort-order="desc"
    data-click-to-select="true"
    data-single-select="true"
    data-page-list="[5, 10, 20, 50, 100, 200]"
    >
    <thead>
        <tr>
            <!-- <th data-field="state" data-checkbox="true"></th> -->
            <th class="th th-inner" data-sortable="true" data-field="id"> Name</th>
            <th class="th th-inner" data-sortable="true" data-field="date">Date</th>
            <th class="th th-inner" data-sortable="true" data-field="actionStartTime">Start Time</th>
            <th class="th th-inner" data-sortable="true" data-field="actionEndTime">End Time</th>
            <th class="th th-inner" data-sortable="true" data-field="value">Value (kW)</th>
            <th class="th th-inner" data-sortable="true" data-field="price">Price (&#8364;)</th>
            <th class="th th-inner" data-sortable="true" data-field="actionType">Type</th>
            <th class="th th-inner" data-sortable="true" data-field="actionStatus">Status</th>
        </tr>
    </thead>
    <tbody>
        {% for action in actions %}
            {% if action.marketActor.id == actor.id %}
                <tr>
                    <!-- <td class="bs-checkbox"><input data-index="0" name="btSelectItem" type="checkbox" checked="checked" disabled="disabled"></td> -->
                    <td class="td">{{ action.id }}</td>
                    <td class="td">{{ action.date | date:'D, d M Y, H:i:s e' }}</td>
                    <td class="td">{{ action.actionStartTime | date:'D, d M Y, H:i:s e'}}</td>
                    <td class="td">{{ action.actionEndTime | date:'D, d M Y, H:i:s e'}}</td>
                    <td class="td">{{ action.value|floatformat:3 }}</td>
                    <td class="td">{{ action.price|floatformat:2 }}</td>
                    <td class="td">{{ action.actionType.type }}</td>
                    <td class="td">{{ action.actionStatus.id }}</td>
                </tr>
            {% endif %}
        {% endfor %}
    </tbody>
</table>

<!--Add Action modal-->
<div class="modal fade" id="addAction" tabindex="-1" role="dialog" aria-labelledby="addActionLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="addActionLabel">Place a new market action</h4>
            </div>
            <form class="form-horizontal marginstopbot" id="AddActionForm" onsubmit="return false">
                <div class="form-group">
                    <label for="actionStartTime" class="col-sm-4 control-label">Action start time</label>
                    <div class='col-sm-6 date'>
                        <input type='text' class="form-control" placeholder="Action start time" id='actionStartTime' />
                    </div>
                </div>
                <div class="form-group">
                    <label for="actionEndTime" class="col-sm-4 control-label">Action end time</label>
                    <div class="col-sm-6 date">
                        <input type='text' class="form-control" placeholder="Action end time" id='actionEndTime' />
                    </div>
                </div>
                <div class="form-group">
                    <label for="value" class="col-sm-4 control-label">Value</label>
                    <div class="col-sm-6">
                        <input type="number" class="form-control" id="value" placeholder="Value"/>
                    </div>
                </div>
                <div class="form-group">
                    <label for="uom" class="col-sm-4 control-label">Unit of measurement</label>
                    <div class="col-sm-6">
                        <select class="form-control" id="uoml">
                            <option value="KW">KW</option>
                            <option value="MW">MW</option>
                        </select>
                        <input type="hidden" id="uom" value="KW"/>
                    </div>
                </div>
                <div class="form-group">
                    <label for="price" class="col-sm-4 control-label">Price</label>
                    <div class="col-sm-6">
                        <input type="number" class="form-control" id="price" placeholder="Price"/>
                    </div>
                </div>
                <div class="form-group">
                    <label for="deliveryPoint" class="col-sm-4 control-label">Delivery point</label>
                    <div class="col-sm-6">
                        <input class="form-control" id="deliveryPoint" placeholder="Delivery point"/>
                    </div>
                </div>
                <div class="form-group">
                    <label for="type" class="col-sm-4 control-label">Type</label>
                    <div class="col-sm-6">
                        <select class="form-control" id="typel">
                            <option value="offer">Sell</option>
                            <option value="bid">Buy</option>
                        </select>
                        <input type="hidden" id="type" value="offer"/>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-12 centre">
                        <button type="submit" class="btn btn-default modalButton" value="Submit">Add</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>


<script>
$( document ).ready(function() {
        $('#actionStartTime').datetimepicker();
        $('#actionStartTime').data("DateTimePicker").format('DD-MM-YYYY HH:mm');
        //$('#actionStartTime').data("DateTimePicker").minDate(moment().add(1, 'days'));
        $('#actionStartTime').data("DateTimePicker").minDate(moment());
        $('#actionStartTime').data("DateTimePicker").maxDate(moment().add(32, 'hours'));
        $('#actionEndTime').datetimepicker();
        $('#actionEndTime').data("DateTimePicker").format('DD-MM-YYYY HH:mm');
        //  $('#actionEndTime').data("DateTimePicker").minDate(moment().add(25, 'hours'));
        $('#actionEndTime').data("DateTimePicker").minDate(moment().add(1, 'hours'));
        $('#actionEndTime').data("DateTimePicker").maxDate(moment().add(33, 'hours'));
        //$("#actionStartTime").on("dp.change", function (e) {
        //    $('#actionEndTime').data("DateTimePicker").minDate(e.date);
        //});
        $("#actionEndTime").on("dp.show", function (e) {
            $('#actionEndTime').data("DateTimePicker").date(moment($('#actionStartTime').data("DateTimePicker").date()).add(1, 'hours'));
        });
        //$("#actionEndTime").on("dp.change", function (e) {
        //    $('#actionStartTime').data("DateTimePicker").maxDate(e.date);
        //});

        $('#AddActionForm').submit(function () {
            var $inputs = $('#AddActionForm input');
            var values = {};
            $inputs.each(function () {
                if (this.id === "type") {
                    if ($(this).val() === "offer") {
                        values["actionTypeid"] = 2;
                    } else if ($(this).val() === "bid") {
                        values["actionTypeid"] = 1;
                    }
                } else {
                    values[this.id] = $(this).val();
                }

                $(this).val('');
                $('#uom').val($('#uoml').val());
                $('#type').val($('#typel').val());
            });

            values['date'] = moment().format();
            values['actionStartTime'] = moment(values['actionStartTime'], 'DD-MM-YYYY HH:mm').format();
            values['actionEndTime'] = moment(values['actionEndTime'], 'DD-MM-YYYY HH:mm').format();
            values['marketSessionid'] = {{session.id}};
            values['marketActorid'] = {{actor.id}};
            values['formid'] = 1;
            values['actionStatusid'] = 1;
            $('#actionStartTime').data("DateTimePicker").minDate(moment());
            $('#actionStartTime').data("DateTimePicker").maxDate(moment().add(32, 'hours'));
            $('#actionEndTime').data("DateTimePicker").minDate(moment().add(1, 'hours'));
            $('#actionEndTime').data("DateTimePicker").maxDate(moment().add(33, 'hours'));
            $('#addAction').modal('hide');
            $.ajax({
                url: "{{sessions_url}}/{{session.id}}/actions/",
                type: "POST",
                contentType: "application/json",
                data: JSON.stringify(values)
            });
        });
    });
</script>

{% endif %}
